Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.bcp.protocol.v2
Class Cache

    java.lang.Object
      be.fgov.ehealth.bcp.protocol.v2.Cache

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:57:48+01:00",
               comments="JAXB RI v2.2.11")
    public class Cache

extends Object
implements Serializable

Java class for CacheType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CacheType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Key">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="Tranform" use="required">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="xslt"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                     <attribute name="Inline" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
             <element name="Expiry">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="Type" use="required">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="none"/>
                           <enumeration value="ttl"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                     <attribute name="Duration" type="{http://www.w3.org/2001/XMLSchema}duration" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="Strategy" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="ENDPOINT_FIRST"/>
                 <enumeration value="CACHE_FIRST"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Cache()`

Method Summary
`Expiry` | `getExpiry()` Gets the value of the expiry property.
`Key` | `getKey()` Gets the value of the key property.
`String` | `getStrategy()` Gets the value of the strategy property.
`void` | `setExpiry(Expiry value)` Sets the value of the expiry property.
`void` | `setKey(Key value)` Sets the value of the key property.
`void` | `setStrategy(String value)` Sets the value of the strategy property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cache

    public Cache()

Method Detail

### getKey

    public Key getKey()

  Gets the value of the key property.

  Returns:
    possible object is `Key`

### setKey

    public void setKey(Key value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `Key`

### getExpiry

    public Expiry getExpiry()

  Gets the value of the expiry property.

  Returns:
    possible object is `Expiry`

### setExpiry

    public void setExpiry(Expiry value)

  Sets the value of the expiry property.

  Parameters:
    `value` - allowed object is `Expiry`

### getStrategy

    public String getStrategy()

  Gets the value of the strategy property.

  Returns:
    possible object is `String`

### setStrategy

    public void setStrategy(String value)

  Sets the value of the strategy property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.